#ifndef NFOLD_VEC_H
# define NFOLD_VEC_H

#ifndef GPK_STD_H
# include <gpk_std.h>
#endif

#ifndef V2_H
# include "m22/v2.h"
#endif

class N2foldVec	{
	double x0, x1;
	N2foldVec(double xx0, double xx1, int) :x0(xx0), x1(xx1) {}
	void make(double xx0, double xx1);

	public:

	N2foldVec();
	N2foldVec(double xx0, double xx1);
	N2foldVec(C vector2& a);
	N2foldVec operator*(double c) C;
	N2foldVec& operator+=(C N2foldVec& a);
	BOOL operator==(C N2foldVec& a) C {return x0==a.x0 && x1==a.x1;}
	C vector2 pos(int n)	C;

	C static int symmetry;
	};

#endif
